#ifndef __NIXIETUBE_H
#define __NIXIETUBE_H

#include <sys.h>


#define NIXIETUBE_PORT         P6  
#define NIXIETUBE_PORT_MODE()  {P6M1=0x00;P6M0=0xff;}//推挽输出

#define LEFT_COLON_PIN          P07
#define LEFT_COLON_PIN_MODE()  {P0M1&=~0x80;P0M0|=0x80;}//推挽输出

#define RIGHT_COLON_PIN          P21
#define RIGHT_COLON_PIN_MODE()  {P2M1&=~0x02;P2M0|=0x02;}//推挽输出

void nix_init();    //数码管显示初始化
void nix_scan_callback();   // 数码管扫描回调函数(需要在1ms定时器中断函数里调用,总周期16ms<视觉20ms).
void nix_display_num(int32 num);    //数码管显示整数
void nix_display_float(float num, uint8 precision);     //数码管显示浮点数
void nix_disable_time();    //数码管不显示冒号
void nix_display_clear();   //数码管清屏
void nix_display_bit(uint8 nbit,uint8 dat);  //数码管指定位显示
void nix_display_clear_bit(uint8 nbit); //数码管清指定位
void nix_display_time(uint8 h,uint8 m,uint8 dir);   //数码管显示时间(xx:xx)
void display_RTC(uint8 hour,uint8 minute,uint8 second);	//显示时间(xx-xx-xx)

#endif